#ifndef PIRC_PARSER_H
#define PIRC_PARSER_H

#include "pifile.h"

struct ParserEntry {
	ParserEntry(const PIString & n = PIString(), const PIString & a = PIString(), const PIString & p = PIString()) {
		name  = n;
		alias = a;
		path  = p;
	}
	PIString name;
	PIString alias;
	PIString path;
};

struct ParserSection {
	PIString name;
	PIVector<ParserEntry> files;
};

PIVector<ParserSection> parse(const PIString & path);
PIVector<ParserSection> parseConf(PIFile & file, const PIString & dir);
PIVector<ParserSection> parseQRC(PIFile & file, const PIString & dir);

#endif // PIRC_PARSER_H
